-- Copyright (C) 1991-2015 Altera Corporation. All rights reserved.
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, the Altera Quartus II License Agreement,
-- the Altera MegaCore Function License Agreement, or other 
-- applicable license agreement, including, without limitation, 
-- that your use is for the sole purpose of programming logic 
-- devices manufactured by Altera and sold by Altera or its 
-- authorized distributors.  Please refer to the applicable 
-- agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II 64-Bit"
-- VERSION "Version 15.0.0 Build 145 04/22/2015 SJ Web Edition"

-- DATE "07/20/2015 11:54:58"

-- 
-- Device: Altera EP4CE6E22C8 Package TQFP144
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY ALTERA;
LIBRARY CYCLONEIVE;
LIBRARY IEEE;
USE ALTERA.ALTERA_PRIMITIVES_COMPONENTS.ALL;
USE CYCLONEIVE.CYCLONEIVE_COMPONENTS.ALL;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY 	test1 IS
    PORT (
	led : OUT std_logic_vector(7 DOWNTO 0);
	clk : IN std_logic
	);
END test1;

-- Design Ports Information
-- led[7]	=>  Location: PIN_3,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- led[6]	=>  Location: PIN_2,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- led[5]	=>  Location: PIN_1,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- led[4]	=>  Location: PIN_144,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- led[3]	=>  Location: PIN_143,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- led[2]	=>  Location: PIN_142,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- led[1]	=>  Location: PIN_141,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- led[0]	=>  Location: PIN_138,	 I/O Standard: 2.5 V,	 Current Strength: Default
-- clk	=>  Location: PIN_25,	 I/O Standard: 2.5 V,	 Current Strength: Default


ARCHITECTURE structure OF test1 IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL unknown : std_logic := 'X';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_led : std_logic_vector(7 DOWNTO 0);
SIGNAL ww_clk : std_logic;
SIGNAL \clk~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \inst15|inst4|inst1|inst1|inst5~1clkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \led[7]~output_o\ : std_logic;
SIGNAL \led[6]~output_o\ : std_logic;
SIGNAL \led[5]~output_o\ : std_logic;
SIGNAL \led[4]~output_o\ : std_logic;
SIGNAL \led[3]~output_o\ : std_logic;
SIGNAL \led[2]~output_o\ : std_logic;
SIGNAL \led[1]~output_o\ : std_logic;
SIGNAL \led[0]~output_o\ : std_logic;
SIGNAL \clk~input_o\ : std_logic;
SIGNAL \clk~inputclkctrl_outclk\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita0~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita0~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita1~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita1~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita2~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita2~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita3~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita3~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita4~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita4~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita5~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita5~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita6~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita6~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita7~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita7~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita8~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita8~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita9~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita9~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita10~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita10~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita11~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita11~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita12~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita12~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita13~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita13~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita14~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita14~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita15~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita15~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita16~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita16~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita17~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita17~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita18~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita18~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita19~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita19~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita20~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita20~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita21~combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita21~COUT\ : std_logic;
SIGNAL \inst5|auto_generated|counter_comb_bita22~combout\ : std_logic;
SIGNAL \inst10|inst3|inst|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst10|inst3|inst1|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst10|inst6|inst|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst10|inst6|inst1|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst10|inst4|inst|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst10|inst4|inst1|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst10|inst5|inst|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst10|inst5|inst1|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst15|inst3|inst|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst15|inst3|inst1|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst15|inst6|inst|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst15|inst6|inst1|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst15|inst4|inst|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst15|inst4|inst1|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst15|inst4|inst1|inst1|inst5~1clkctrl_outclk\ : std_logic;
SIGNAL \inst15|inst5|inst|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst15|inst5|inst1|inst1|inst5~1_combout\ : std_logic;
SIGNAL \inst5|auto_generated|counter_reg_bit\ : std_logic_vector(26 DOWNTO 0);
SIGNAL \inst10|inst3|inst1|inst1|ALT_INV_inst5~1_combout\ : std_logic;
SIGNAL \inst10|inst6|inst1|inst1|ALT_INV_inst5~1_combout\ : std_logic;
SIGNAL \inst10|inst4|inst1|inst1|ALT_INV_inst5~1_combout\ : std_logic;
SIGNAL \inst10|inst5|inst1|inst1|ALT_INV_inst5~1_combout\ : std_logic;
SIGNAL \inst15|inst3|inst1|inst1|ALT_INV_inst5~1_combout\ : std_logic;
SIGNAL \inst15|inst6|inst1|inst1|ALT_INV_inst5~1_combout\ : std_logic;
SIGNAL \inst15|inst4|inst1|inst1|ALT_INV_inst5~1_combout\ : std_logic;
SIGNAL \inst15|inst5|inst1|inst1|ALT_INV_inst5~1_combout\ : std_logic;

BEGIN

led <= ww_led;
ww_clk <= clk;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\clk~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \clk~input_o\);

\inst15|inst4|inst1|inst1|inst5~1clkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \inst15|inst4|inst1|inst1|inst5~1_combout\);
\inst10|inst3|inst1|inst1|ALT_INV_inst5~1_combout\ <= NOT \inst10|inst3|inst1|inst1|inst5~1_combout\;
\inst10|inst6|inst1|inst1|ALT_INV_inst5~1_combout\ <= NOT \inst10|inst6|inst1|inst1|inst5~1_combout\;
\inst10|inst4|inst1|inst1|ALT_INV_inst5~1_combout\ <= NOT \inst10|inst4|inst1|inst1|inst5~1_combout\;
\inst10|inst5|inst1|inst1|ALT_INV_inst5~1_combout\ <= NOT \inst10|inst5|inst1|inst1|inst5~1_combout\;
\inst15|inst3|inst1|inst1|ALT_INV_inst5~1_combout\ <= NOT \inst15|inst3|inst1|inst1|inst5~1_combout\;
\inst15|inst6|inst1|inst1|ALT_INV_inst5~1_combout\ <= NOT \inst15|inst6|inst1|inst1|inst5~1_combout\;
\inst15|inst4|inst1|inst1|ALT_INV_inst5~1_combout\ <= NOT \inst15|inst4|inst1|inst1|inst5~1_combout\;
\inst15|inst5|inst1|inst1|ALT_INV_inst5~1_combout\ <= NOT \inst15|inst5|inst1|inst1|inst5~1_combout\;

-- Location: IOOBUF_X0_Y23_N16
\led[7]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst15|inst5|inst1|inst1|ALT_INV_inst5~1_combout\,
	devoe => ww_devoe,
	o => \led[7]~output_o\);

-- Location: IOOBUF_X0_Y23_N9
\led[6]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst15|inst4|inst1|inst1|ALT_INV_inst5~1_combout\,
	devoe => ww_devoe,
	o => \led[6]~output_o\);

-- Location: IOOBUF_X0_Y23_N2
\led[5]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst15|inst6|inst1|inst1|ALT_INV_inst5~1_combout\,
	devoe => ww_devoe,
	o => \led[5]~output_o\);

-- Location: IOOBUF_X1_Y24_N9
\led[4]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst15|inst3|inst1|inst1|ALT_INV_inst5~1_combout\,
	devoe => ww_devoe,
	o => \led[4]~output_o\);

-- Location: IOOBUF_X1_Y24_N2
\led[3]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst10|inst5|inst1|inst1|ALT_INV_inst5~1_combout\,
	devoe => ww_devoe,
	o => \led[3]~output_o\);

-- Location: IOOBUF_X3_Y24_N23
\led[2]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst10|inst4|inst1|inst1|ALT_INV_inst5~1_combout\,
	devoe => ww_devoe,
	o => \led[2]~output_o\);

-- Location: IOOBUF_X5_Y24_N9
\led[1]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst10|inst6|inst1|inst1|ALT_INV_inst5~1_combout\,
	devoe => ww_devoe,
	o => \led[1]~output_o\);

-- Location: IOOBUF_X7_Y24_N9
\led[0]~output\ : cycloneive_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \inst10|inst3|inst1|inst1|ALT_INV_inst5~1_combout\,
	devoe => ww_devoe,
	o => \led[0]~output_o\);

-- Location: IOIBUF_X0_Y11_N22
\clk~input\ : cycloneive_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_clk,
	o => \clk~input_o\);

-- Location: CLKCTRL_G3
\clk~inputclkctrl\ : cycloneive_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \clk~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \clk~inputclkctrl_outclk\);

-- Location: LCCOMB_X11_Y14_N10
\inst5|auto_generated|counter_comb_bita0\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita0~combout\ = \inst5|auto_generated|counter_reg_bit\(0) $ (VCC)
-- \inst5|auto_generated|counter_comb_bita0~COUT\ = CARRY(\inst5|auto_generated|counter_reg_bit\(0))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101010110101010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst5|auto_generated|counter_reg_bit\(0),
	datad => VCC,
	combout => \inst5|auto_generated|counter_comb_bita0~combout\,
	cout => \inst5|auto_generated|counter_comb_bita0~COUT\);

-- Location: FF_X11_Y14_N11
\inst5|auto_generated|counter_reg_bit[0]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita0~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(0));

-- Location: LCCOMB_X11_Y14_N12
\inst5|auto_generated|counter_comb_bita1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita1~combout\ = (\inst5|auto_generated|counter_reg_bit\(1) & (!\inst5|auto_generated|counter_comb_bita0~COUT\)) # (!\inst5|auto_generated|counter_reg_bit\(1) & ((\inst5|auto_generated|counter_comb_bita0~COUT\) # (GND)))
-- \inst5|auto_generated|counter_comb_bita1~COUT\ = CARRY((!\inst5|auto_generated|counter_comb_bita0~COUT\) # (!\inst5|auto_generated|counter_reg_bit\(1)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst5|auto_generated|counter_reg_bit\(1),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita0~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita1~combout\,
	cout => \inst5|auto_generated|counter_comb_bita1~COUT\);

-- Location: FF_X11_Y14_N13
\inst5|auto_generated|counter_reg_bit[1]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita1~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(1));

-- Location: LCCOMB_X11_Y14_N14
\inst5|auto_generated|counter_comb_bita2\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita2~combout\ = (\inst5|auto_generated|counter_reg_bit\(2) & (\inst5|auto_generated|counter_comb_bita1~COUT\ $ (GND))) # (!\inst5|auto_generated|counter_reg_bit\(2) & (!\inst5|auto_generated|counter_comb_bita1~COUT\ & 
-- VCC))
-- \inst5|auto_generated|counter_comb_bita2~COUT\ = CARRY((\inst5|auto_generated|counter_reg_bit\(2) & !\inst5|auto_generated|counter_comb_bita1~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst5|auto_generated|counter_reg_bit\(2),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita1~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita2~combout\,
	cout => \inst5|auto_generated|counter_comb_bita2~COUT\);

-- Location: FF_X11_Y14_N15
\inst5|auto_generated|counter_reg_bit[2]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita2~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(2));

-- Location: LCCOMB_X11_Y14_N16
\inst5|auto_generated|counter_comb_bita3\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita3~combout\ = (\inst5|auto_generated|counter_reg_bit\(3) & (!\inst5|auto_generated|counter_comb_bita2~COUT\)) # (!\inst5|auto_generated|counter_reg_bit\(3) & ((\inst5|auto_generated|counter_comb_bita2~COUT\) # (GND)))
-- \inst5|auto_generated|counter_comb_bita3~COUT\ = CARRY((!\inst5|auto_generated|counter_comb_bita2~COUT\) # (!\inst5|auto_generated|counter_reg_bit\(3)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst5|auto_generated|counter_reg_bit\(3),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita2~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita3~combout\,
	cout => \inst5|auto_generated|counter_comb_bita3~COUT\);

-- Location: FF_X11_Y14_N17
\inst5|auto_generated|counter_reg_bit[3]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita3~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(3));

-- Location: LCCOMB_X11_Y14_N18
\inst5|auto_generated|counter_comb_bita4\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita4~combout\ = (\inst5|auto_generated|counter_reg_bit\(4) & (\inst5|auto_generated|counter_comb_bita3~COUT\ $ (GND))) # (!\inst5|auto_generated|counter_reg_bit\(4) & (!\inst5|auto_generated|counter_comb_bita3~COUT\ & 
-- VCC))
-- \inst5|auto_generated|counter_comb_bita4~COUT\ = CARRY((\inst5|auto_generated|counter_reg_bit\(4) & !\inst5|auto_generated|counter_comb_bita3~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst5|auto_generated|counter_reg_bit\(4),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita3~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita4~combout\,
	cout => \inst5|auto_generated|counter_comb_bita4~COUT\);

-- Location: FF_X11_Y14_N19
\inst5|auto_generated|counter_reg_bit[4]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita4~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(4));

-- Location: LCCOMB_X11_Y14_N20
\inst5|auto_generated|counter_comb_bita5\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita5~combout\ = (\inst5|auto_generated|counter_reg_bit\(5) & (!\inst5|auto_generated|counter_comb_bita4~COUT\)) # (!\inst5|auto_generated|counter_reg_bit\(5) & ((\inst5|auto_generated|counter_comb_bita4~COUT\) # (GND)))
-- \inst5|auto_generated|counter_comb_bita5~COUT\ = CARRY((!\inst5|auto_generated|counter_comb_bita4~COUT\) # (!\inst5|auto_generated|counter_reg_bit\(5)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst5|auto_generated|counter_reg_bit\(5),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita4~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita5~combout\,
	cout => \inst5|auto_generated|counter_comb_bita5~COUT\);

-- Location: FF_X11_Y14_N21
\inst5|auto_generated|counter_reg_bit[5]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita5~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(5));

-- Location: LCCOMB_X11_Y14_N22
\inst5|auto_generated|counter_comb_bita6\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita6~combout\ = (\inst5|auto_generated|counter_reg_bit\(6) & (\inst5|auto_generated|counter_comb_bita5~COUT\ $ (GND))) # (!\inst5|auto_generated|counter_reg_bit\(6) & (!\inst5|auto_generated|counter_comb_bita5~COUT\ & 
-- VCC))
-- \inst5|auto_generated|counter_comb_bita6~COUT\ = CARRY((\inst5|auto_generated|counter_reg_bit\(6) & !\inst5|auto_generated|counter_comb_bita5~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst5|auto_generated|counter_reg_bit\(6),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita5~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita6~combout\,
	cout => \inst5|auto_generated|counter_comb_bita6~COUT\);

-- Location: FF_X11_Y14_N23
\inst5|auto_generated|counter_reg_bit[6]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita6~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(6));

-- Location: LCCOMB_X11_Y14_N24
\inst5|auto_generated|counter_comb_bita7\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita7~combout\ = (\inst5|auto_generated|counter_reg_bit\(7) & (!\inst5|auto_generated|counter_comb_bita6~COUT\)) # (!\inst5|auto_generated|counter_reg_bit\(7) & ((\inst5|auto_generated|counter_comb_bita6~COUT\) # (GND)))
-- \inst5|auto_generated|counter_comb_bita7~COUT\ = CARRY((!\inst5|auto_generated|counter_comb_bita6~COUT\) # (!\inst5|auto_generated|counter_reg_bit\(7)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst5|auto_generated|counter_reg_bit\(7),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita6~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita7~combout\,
	cout => \inst5|auto_generated|counter_comb_bita7~COUT\);

-- Location: FF_X11_Y14_N25
\inst5|auto_generated|counter_reg_bit[7]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita7~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(7));

-- Location: LCCOMB_X11_Y14_N26
\inst5|auto_generated|counter_comb_bita8\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita8~combout\ = (\inst5|auto_generated|counter_reg_bit\(8) & (\inst5|auto_generated|counter_comb_bita7~COUT\ $ (GND))) # (!\inst5|auto_generated|counter_reg_bit\(8) & (!\inst5|auto_generated|counter_comb_bita7~COUT\ & 
-- VCC))
-- \inst5|auto_generated|counter_comb_bita8~COUT\ = CARRY((\inst5|auto_generated|counter_reg_bit\(8) & !\inst5|auto_generated|counter_comb_bita7~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst5|auto_generated|counter_reg_bit\(8),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita7~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita8~combout\,
	cout => \inst5|auto_generated|counter_comb_bita8~COUT\);

-- Location: FF_X11_Y14_N27
\inst5|auto_generated|counter_reg_bit[8]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita8~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(8));

-- Location: LCCOMB_X11_Y14_N28
\inst5|auto_generated|counter_comb_bita9\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita9~combout\ = (\inst5|auto_generated|counter_reg_bit\(9) & (!\inst5|auto_generated|counter_comb_bita8~COUT\)) # (!\inst5|auto_generated|counter_reg_bit\(9) & ((\inst5|auto_generated|counter_comb_bita8~COUT\) # (GND)))
-- \inst5|auto_generated|counter_comb_bita9~COUT\ = CARRY((!\inst5|auto_generated|counter_comb_bita8~COUT\) # (!\inst5|auto_generated|counter_reg_bit\(9)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst5|auto_generated|counter_reg_bit\(9),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita8~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita9~combout\,
	cout => \inst5|auto_generated|counter_comb_bita9~COUT\);

-- Location: FF_X11_Y14_N29
\inst5|auto_generated|counter_reg_bit[9]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita9~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(9));

-- Location: LCCOMB_X11_Y14_N30
\inst5|auto_generated|counter_comb_bita10\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita10~combout\ = (\inst5|auto_generated|counter_reg_bit\(10) & (\inst5|auto_generated|counter_comb_bita9~COUT\ $ (GND))) # (!\inst5|auto_generated|counter_reg_bit\(10) & (!\inst5|auto_generated|counter_comb_bita9~COUT\ 
-- & VCC))
-- \inst5|auto_generated|counter_comb_bita10~COUT\ = CARRY((\inst5|auto_generated|counter_reg_bit\(10) & !\inst5|auto_generated|counter_comb_bita9~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst5|auto_generated|counter_reg_bit\(10),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita9~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita10~combout\,
	cout => \inst5|auto_generated|counter_comb_bita10~COUT\);

-- Location: FF_X11_Y14_N31
\inst5|auto_generated|counter_reg_bit[10]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita10~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(10));

-- Location: LCCOMB_X11_Y13_N0
\inst5|auto_generated|counter_comb_bita11\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita11~combout\ = (\inst5|auto_generated|counter_reg_bit\(11) & (!\inst5|auto_generated|counter_comb_bita10~COUT\)) # (!\inst5|auto_generated|counter_reg_bit\(11) & ((\inst5|auto_generated|counter_comb_bita10~COUT\) # 
-- (GND)))
-- \inst5|auto_generated|counter_comb_bita11~COUT\ = CARRY((!\inst5|auto_generated|counter_comb_bita10~COUT\) # (!\inst5|auto_generated|counter_reg_bit\(11)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst5|auto_generated|counter_reg_bit\(11),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita10~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita11~combout\,
	cout => \inst5|auto_generated|counter_comb_bita11~COUT\);

-- Location: FF_X11_Y13_N1
\inst5|auto_generated|counter_reg_bit[11]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita11~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(11));

-- Location: LCCOMB_X11_Y13_N2
\inst5|auto_generated|counter_comb_bita12\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita12~combout\ = (\inst5|auto_generated|counter_reg_bit\(12) & (\inst5|auto_generated|counter_comb_bita11~COUT\ $ (GND))) # (!\inst5|auto_generated|counter_reg_bit\(12) & 
-- (!\inst5|auto_generated|counter_comb_bita11~COUT\ & VCC))
-- \inst5|auto_generated|counter_comb_bita12~COUT\ = CARRY((\inst5|auto_generated|counter_reg_bit\(12) & !\inst5|auto_generated|counter_comb_bita11~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst5|auto_generated|counter_reg_bit\(12),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita11~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita12~combout\,
	cout => \inst5|auto_generated|counter_comb_bita12~COUT\);

-- Location: FF_X11_Y13_N3
\inst5|auto_generated|counter_reg_bit[12]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita12~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(12));

-- Location: LCCOMB_X11_Y13_N4
\inst5|auto_generated|counter_comb_bita13\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita13~combout\ = (\inst5|auto_generated|counter_reg_bit\(13) & (!\inst5|auto_generated|counter_comb_bita12~COUT\)) # (!\inst5|auto_generated|counter_reg_bit\(13) & ((\inst5|auto_generated|counter_comb_bita12~COUT\) # 
-- (GND)))
-- \inst5|auto_generated|counter_comb_bita13~COUT\ = CARRY((!\inst5|auto_generated|counter_comb_bita12~COUT\) # (!\inst5|auto_generated|counter_reg_bit\(13)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst5|auto_generated|counter_reg_bit\(13),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita12~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita13~combout\,
	cout => \inst5|auto_generated|counter_comb_bita13~COUT\);

-- Location: FF_X11_Y13_N5
\inst5|auto_generated|counter_reg_bit[13]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita13~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(13));

-- Location: LCCOMB_X11_Y13_N6
\inst5|auto_generated|counter_comb_bita14\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita14~combout\ = (\inst5|auto_generated|counter_reg_bit\(14) & (\inst5|auto_generated|counter_comb_bita13~COUT\ $ (GND))) # (!\inst5|auto_generated|counter_reg_bit\(14) & 
-- (!\inst5|auto_generated|counter_comb_bita13~COUT\ & VCC))
-- \inst5|auto_generated|counter_comb_bita14~COUT\ = CARRY((\inst5|auto_generated|counter_reg_bit\(14) & !\inst5|auto_generated|counter_comb_bita13~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst5|auto_generated|counter_reg_bit\(14),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita13~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita14~combout\,
	cout => \inst5|auto_generated|counter_comb_bita14~COUT\);

-- Location: FF_X11_Y13_N7
\inst5|auto_generated|counter_reg_bit[14]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita14~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(14));

-- Location: LCCOMB_X11_Y13_N8
\inst5|auto_generated|counter_comb_bita15\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita15~combout\ = (\inst5|auto_generated|counter_reg_bit\(15) & (!\inst5|auto_generated|counter_comb_bita14~COUT\)) # (!\inst5|auto_generated|counter_reg_bit\(15) & ((\inst5|auto_generated|counter_comb_bita14~COUT\) # 
-- (GND)))
-- \inst5|auto_generated|counter_comb_bita15~COUT\ = CARRY((!\inst5|auto_generated|counter_comb_bita14~COUT\) # (!\inst5|auto_generated|counter_reg_bit\(15)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst5|auto_generated|counter_reg_bit\(15),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita14~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita15~combout\,
	cout => \inst5|auto_generated|counter_comb_bita15~COUT\);

-- Location: FF_X11_Y13_N9
\inst5|auto_generated|counter_reg_bit[15]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita15~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(15));

-- Location: LCCOMB_X11_Y13_N10
\inst5|auto_generated|counter_comb_bita16\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita16~combout\ = (\inst5|auto_generated|counter_reg_bit\(16) & (\inst5|auto_generated|counter_comb_bita15~COUT\ $ (GND))) # (!\inst5|auto_generated|counter_reg_bit\(16) & 
-- (!\inst5|auto_generated|counter_comb_bita15~COUT\ & VCC))
-- \inst5|auto_generated|counter_comb_bita16~COUT\ = CARRY((\inst5|auto_generated|counter_reg_bit\(16) & !\inst5|auto_generated|counter_comb_bita15~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010010100001010",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst5|auto_generated|counter_reg_bit\(16),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita15~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita16~combout\,
	cout => \inst5|auto_generated|counter_comb_bita16~COUT\);

-- Location: FF_X11_Y13_N11
\inst5|auto_generated|counter_reg_bit[16]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita16~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(16));

-- Location: LCCOMB_X11_Y13_N12
\inst5|auto_generated|counter_comb_bita17\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita17~combout\ = (\inst5|auto_generated|counter_reg_bit\(17) & (!\inst5|auto_generated|counter_comb_bita16~COUT\)) # (!\inst5|auto_generated|counter_reg_bit\(17) & ((\inst5|auto_generated|counter_comb_bita16~COUT\) # 
-- (GND)))
-- \inst5|auto_generated|counter_comb_bita17~COUT\ = CARRY((!\inst5|auto_generated|counter_comb_bita16~COUT\) # (!\inst5|auto_generated|counter_reg_bit\(17)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101101001011111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	dataa => \inst5|auto_generated|counter_reg_bit\(17),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita16~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita17~combout\,
	cout => \inst5|auto_generated|counter_comb_bita17~COUT\);

-- Location: FF_X11_Y13_N13
\inst5|auto_generated|counter_reg_bit[17]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita17~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(17));

-- Location: LCCOMB_X11_Y13_N14
\inst5|auto_generated|counter_comb_bita18\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita18~combout\ = (\inst5|auto_generated|counter_reg_bit\(18) & (\inst5|auto_generated|counter_comb_bita17~COUT\ $ (GND))) # (!\inst5|auto_generated|counter_reg_bit\(18) & 
-- (!\inst5|auto_generated|counter_comb_bita17~COUT\ & VCC))
-- \inst5|auto_generated|counter_comb_bita18~COUT\ = CARRY((\inst5|auto_generated|counter_reg_bit\(18) & !\inst5|auto_generated|counter_comb_bita17~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst5|auto_generated|counter_reg_bit\(18),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita17~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita18~combout\,
	cout => \inst5|auto_generated|counter_comb_bita18~COUT\);

-- Location: FF_X11_Y13_N15
\inst5|auto_generated|counter_reg_bit[18]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita18~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(18));

-- Location: LCCOMB_X11_Y13_N16
\inst5|auto_generated|counter_comb_bita19\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita19~combout\ = (\inst5|auto_generated|counter_reg_bit\(19) & (!\inst5|auto_generated|counter_comb_bita18~COUT\)) # (!\inst5|auto_generated|counter_reg_bit\(19) & ((\inst5|auto_generated|counter_comb_bita18~COUT\) # 
-- (GND)))
-- \inst5|auto_generated|counter_comb_bita19~COUT\ = CARRY((!\inst5|auto_generated|counter_comb_bita18~COUT\) # (!\inst5|auto_generated|counter_reg_bit\(19)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst5|auto_generated|counter_reg_bit\(19),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita18~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita19~combout\,
	cout => \inst5|auto_generated|counter_comb_bita19~COUT\);

-- Location: FF_X11_Y13_N17
\inst5|auto_generated|counter_reg_bit[19]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita19~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(19));

-- Location: LCCOMB_X11_Y13_N18
\inst5|auto_generated|counter_comb_bita20\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita20~combout\ = (\inst5|auto_generated|counter_reg_bit\(20) & (\inst5|auto_generated|counter_comb_bita19~COUT\ $ (GND))) # (!\inst5|auto_generated|counter_reg_bit\(20) & 
-- (!\inst5|auto_generated|counter_comb_bita19~COUT\ & VCC))
-- \inst5|auto_generated|counter_comb_bita20~COUT\ = CARRY((\inst5|auto_generated|counter_reg_bit\(20) & !\inst5|auto_generated|counter_comb_bita19~COUT\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100001100001100",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst5|auto_generated|counter_reg_bit\(20),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita19~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita20~combout\,
	cout => \inst5|auto_generated|counter_comb_bita20~COUT\);

-- Location: FF_X11_Y13_N19
\inst5|auto_generated|counter_reg_bit[20]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita20~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(20));

-- Location: LCCOMB_X11_Y13_N20
\inst5|auto_generated|counter_comb_bita21\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita21~combout\ = (\inst5|auto_generated|counter_reg_bit\(21) & (!\inst5|auto_generated|counter_comb_bita20~COUT\)) # (!\inst5|auto_generated|counter_reg_bit\(21) & ((\inst5|auto_generated|counter_comb_bita20~COUT\) # 
-- (GND)))
-- \inst5|auto_generated|counter_comb_bita21~COUT\ = CARRY((!\inst5|auto_generated|counter_comb_bita20~COUT\) # (!\inst5|auto_generated|counter_reg_bit\(21)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011110000111111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datab => \inst5|auto_generated|counter_reg_bit\(21),
	datad => VCC,
	cin => \inst5|auto_generated|counter_comb_bita20~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita21~combout\,
	cout => \inst5|auto_generated|counter_comb_bita21~COUT\);

-- Location: FF_X11_Y13_N21
\inst5|auto_generated|counter_reg_bit[21]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~inputclkctrl_outclk\,
	d => \inst5|auto_generated|counter_comb_bita21~combout\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(21));

-- Location: LCCOMB_X11_Y13_N22
\inst5|auto_generated|counter_comb_bita22\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst5|auto_generated|counter_comb_bita22~combout\ = \inst5|auto_generated|counter_comb_bita21~COUT\ $ (!\inst5|auto_generated|counter_reg_bit\(22))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000001111",
	sum_lutc_input => "cin")
-- pragma translate_on
PORT MAP (
	datad => \inst5|auto_generated|counter_reg_bit\(22),
	cin => \inst5|auto_generated|counter_comb_bita21~COUT\,
	combout => \inst5|auto_generated|counter_comb_bita22~combout\);

-- Location: FF_X11_Y13_N27
\inst5|auto_generated|counter_reg_bit[22]\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \clk~input_o\,
	asdata => \inst5|auto_generated|counter_comb_bita22~combout\,
	sload => VCC,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \inst5|auto_generated|counter_reg_bit\(22));

-- Location: LCCOMB_X11_Y13_N28
\inst10|inst3|inst|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst10|inst3|inst|inst1|inst5~1_combout\ = (\inst5|auto_generated|counter_reg_bit\(22) & ((!\inst10|inst3|inst1|inst1|inst5~1_combout\))) # (!\inst5|auto_generated|counter_reg_bit\(22) & (\inst10|inst3|inst|inst1|inst5~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000111111001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst10|inst3|inst|inst1|inst5~1_combout\,
	datac => \inst10|inst3|inst1|inst1|inst5~1_combout\,
	datad => \inst5|auto_generated|counter_reg_bit\(22),
	combout => \inst10|inst3|inst|inst1|inst5~1_combout\);

-- Location: LCCOMB_X11_Y17_N24
\inst10|inst3|inst1|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst10|inst3|inst1|inst1|inst5~1_combout\ = (\inst5|auto_generated|counter_reg_bit\(22) & (\inst10|inst3|inst1|inst1|inst5~1_combout\)) # (!\inst5|auto_generated|counter_reg_bit\(22) & ((\inst10|inst3|inst|inst1|inst5~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst10|inst3|inst1|inst1|inst5~1_combout\,
	datac => \inst10|inst3|inst|inst1|inst5~1_combout\,
	datad => \inst5|auto_generated|counter_reg_bit\(22),
	combout => \inst10|inst3|inst1|inst1|inst5~1_combout\);

-- Location: LCCOMB_X10_Y13_N24
\inst10|inst6|inst|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst10|inst6|inst|inst1|inst5~1_combout\ = (\inst10|inst3|inst1|inst1|inst5~1_combout\ & ((\inst10|inst6|inst|inst1|inst5~1_combout\))) # (!\inst10|inst3|inst1|inst1|inst5~1_combout\ & (!\inst10|inst6|inst1|inst1|inst5~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst10|inst6|inst1|inst1|inst5~1_combout\,
	datab => \inst10|inst6|inst|inst1|inst5~1_combout\,
	datad => \inst10|inst3|inst1|inst1|inst5~1_combout\,
	combout => \inst10|inst6|inst|inst1|inst5~1_combout\);

-- Location: LCCOMB_X10_Y13_N12
\inst10|inst6|inst1|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst10|inst6|inst1|inst1|inst5~1_combout\ = (\inst10|inst3|inst1|inst1|inst5~1_combout\ & ((\inst10|inst6|inst|inst1|inst5~1_combout\))) # (!\inst10|inst3|inst1|inst1|inst5~1_combout\ & (\inst10|inst6|inst1|inst1|inst5~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst10|inst6|inst1|inst1|inst5~1_combout\,
	datab => \inst10|inst6|inst|inst1|inst5~1_combout\,
	datad => \inst10|inst3|inst1|inst1|inst5~1_combout\,
	combout => \inst10|inst6|inst1|inst1|inst5~1_combout\);

-- Location: LCCOMB_X10_Y13_N4
\inst10|inst4|inst|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst10|inst4|inst|inst1|inst5~1_combout\ = (\inst10|inst6|inst1|inst1|inst5~1_combout\ & ((\inst10|inst4|inst|inst1|inst5~1_combout\))) # (!\inst10|inst6|inst1|inst1|inst5~1_combout\ & (!\inst10|inst4|inst1|inst1|inst5~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst10|inst4|inst1|inst1|inst5~1_combout\,
	datac => \inst10|inst4|inst|inst1|inst5~1_combout\,
	datad => \inst10|inst6|inst1|inst1|inst5~1_combout\,
	combout => \inst10|inst4|inst|inst1|inst5~1_combout\);

-- Location: LCCOMB_X10_Y13_N28
\inst10|inst4|inst1|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst10|inst4|inst1|inst1|inst5~1_combout\ = (\inst10|inst6|inst1|inst1|inst5~1_combout\ & ((\inst10|inst4|inst|inst1|inst5~1_combout\))) # (!\inst10|inst6|inst1|inst1|inst5~1_combout\ & (\inst10|inst4|inst1|inst1|inst5~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst10|inst4|inst1|inst1|inst5~1_combout\,
	datac => \inst10|inst4|inst|inst1|inst5~1_combout\,
	datad => \inst10|inst6|inst1|inst1|inst5~1_combout\,
	combout => \inst10|inst4|inst1|inst1|inst5~1_combout\);

-- Location: LCCOMB_X10_Y13_N8
\inst10|inst5|inst|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst10|inst5|inst|inst1|inst5~1_combout\ = (\inst10|inst4|inst1|inst1|inst5~1_combout\ & ((\inst10|inst5|inst|inst1|inst5~1_combout\))) # (!\inst10|inst4|inst1|inst1|inst5~1_combout\ & (!\inst10|inst5|inst1|inst1|inst5~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst10|inst5|inst1|inst1|inst5~1_combout\,
	datac => \inst10|inst5|inst|inst1|inst5~1_combout\,
	datad => \inst10|inst4|inst1|inst1|inst5~1_combout\,
	combout => \inst10|inst5|inst|inst1|inst5~1_combout\);

-- Location: LCCOMB_X10_Y13_N20
\inst10|inst5|inst1|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst10|inst5|inst1|inst1|inst5~1_combout\ = (\inst10|inst4|inst1|inst1|inst5~1_combout\ & ((\inst10|inst5|inst|inst1|inst5~1_combout\))) # (!\inst10|inst4|inst1|inst1|inst5~1_combout\ & (\inst10|inst5|inst1|inst1|inst5~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst10|inst5|inst1|inst1|inst5~1_combout\,
	datac => \inst10|inst5|inst|inst1|inst5~1_combout\,
	datad => \inst10|inst4|inst1|inst1|inst5~1_combout\,
	combout => \inst10|inst5|inst1|inst1|inst5~1_combout\);

-- Location: LCCOMB_X10_Y13_N22
\inst15|inst3|inst|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst15|inst3|inst|inst1|inst5~1_combout\ = (\inst10|inst5|inst1|inst1|inst5~1_combout\ & ((\inst15|inst3|inst|inst1|inst5~1_combout\))) # (!\inst10|inst5|inst1|inst1|inst5~1_combout\ & (!\inst15|inst3|inst1|inst1|inst5~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000001010101",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst15|inst3|inst1|inst1|inst5~1_combout\,
	datac => \inst15|inst3|inst|inst1|inst5~1_combout\,
	datad => \inst10|inst5|inst1|inst1|inst5~1_combout\,
	combout => \inst15|inst3|inst|inst1|inst5~1_combout\);

-- Location: LCCOMB_X10_Y13_N10
\inst15|inst3|inst1|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst15|inst3|inst1|inst1|inst5~1_combout\ = (\inst10|inst5|inst1|inst1|inst5~1_combout\ & ((\inst15|inst3|inst|inst1|inst5~1_combout\))) # (!\inst10|inst5|inst1|inst1|inst5~1_combout\ & (\inst15|inst3|inst1|inst1|inst5~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000010101010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst15|inst3|inst1|inst1|inst5~1_combout\,
	datac => \inst15|inst3|inst|inst1|inst5~1_combout\,
	datad => \inst10|inst5|inst1|inst1|inst5~1_combout\,
	combout => \inst15|inst3|inst1|inst1|inst5~1_combout\);

-- Location: LCCOMB_X10_Y13_N26
\inst15|inst6|inst|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst15|inst6|inst|inst1|inst5~1_combout\ = (\inst15|inst3|inst1|inst1|inst5~1_combout\ & ((\inst15|inst6|inst|inst1|inst5~1_combout\))) # (!\inst15|inst3|inst1|inst1|inst5~1_combout\ & (!\inst15|inst6|inst1|inst1|inst5~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000000110011",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst15|inst6|inst1|inst1|inst5~1_combout\,
	datac => \inst15|inst6|inst|inst1|inst5~1_combout\,
	datad => \inst15|inst3|inst1|inst1|inst5~1_combout\,
	combout => \inst15|inst6|inst|inst1|inst5~1_combout\);

-- Location: LCCOMB_X10_Y13_N16
\inst15|inst6|inst1|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst15|inst6|inst1|inst1|inst5~1_combout\ = (\inst15|inst3|inst1|inst1|inst5~1_combout\ & ((\inst15|inst6|inst|inst1|inst5~1_combout\))) # (!\inst15|inst3|inst1|inst1|inst5~1_combout\ & (\inst15|inst6|inst1|inst1|inst5~1_combout\))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011001100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst15|inst6|inst1|inst1|inst5~1_combout\,
	datac => \inst15|inst6|inst|inst1|inst5~1_combout\,
	datad => \inst15|inst3|inst1|inst1|inst5~1_combout\,
	combout => \inst15|inst6|inst1|inst1|inst5~1_combout\);

-- Location: LCCOMB_X10_Y13_N18
\inst15|inst4|inst|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst15|inst4|inst|inst1|inst5~1_combout\ = (\inst15|inst6|inst1|inst1|inst5~1_combout\ & (\inst15|inst4|inst|inst1|inst5~1_combout\)) # (!\inst15|inst6|inst1|inst1|inst5~1_combout\ & ((!\inst15|inst4|inst1|inst1|inst5~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst15|inst4|inst|inst1|inst5~1_combout\,
	datac => \inst15|inst4|inst1|inst1|inst5~1_combout\,
	datad => \inst15|inst6|inst1|inst1|inst5~1_combout\,
	combout => \inst15|inst4|inst|inst1|inst5~1_combout\);

-- Location: LCCOMB_X10_Y13_N30
\inst15|inst4|inst1|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst15|inst4|inst1|inst1|inst5~1_combout\ = (\inst15|inst6|inst1|inst1|inst5~1_combout\ & (\inst15|inst4|inst|inst1|inst5~1_combout\)) # (!\inst15|inst6|inst1|inst1|inst5~1_combout\ & ((\inst15|inst4|inst1|inst1|inst5~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100110011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \inst15|inst4|inst|inst1|inst5~1_combout\,
	datac => \inst15|inst4|inst1|inst1|inst5~1_combout\,
	datad => \inst15|inst6|inst1|inst1|inst5~1_combout\,
	combout => \inst15|inst4|inst1|inst1|inst5~1_combout\);

-- Location: CLKCTRL_G0
\inst15|inst4|inst1|inst1|inst5~1clkctrl\ : cycloneive_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "none")
-- pragma translate_on
PORT MAP (
	inclk => \inst15|inst4|inst1|inst1|inst5~1clkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \inst15|inst4|inst1|inst1|inst5~1clkctrl_outclk\);

-- Location: LCCOMB_X16_Y23_N10
\inst15|inst5|inst|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst15|inst5|inst|inst1|inst5~1_combout\ = (GLOBAL(\inst15|inst4|inst1|inst1|inst5~1clkctrl_outclk\) & (\inst15|inst5|inst|inst1|inst5~1_combout\)) # (!GLOBAL(\inst15|inst4|inst1|inst1|inst5~1clkctrl_outclk\) & 
-- ((!\inst15|inst5|inst1|inst1|inst5~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101000001111",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst15|inst5|inst|inst1|inst5~1_combout\,
	datac => \inst15|inst5|inst1|inst1|inst5~1_combout\,
	datad => \inst15|inst4|inst1|inst1|inst5~1clkctrl_outclk\,
	combout => \inst15|inst5|inst|inst1|inst5~1_combout\);

-- Location: LCCOMB_X16_Y23_N8
\inst15|inst5|inst1|inst1|inst5~1\ : cycloneive_lcell_comb
-- Equation(s):
-- \inst15|inst5|inst1|inst1|inst5~1_combout\ = (GLOBAL(\inst15|inst4|inst1|inst1|inst5~1clkctrl_outclk\) & (\inst15|inst5|inst|inst1|inst5~1_combout\)) # (!GLOBAL(\inst15|inst4|inst1|inst1|inst5~1clkctrl_outclk\) & 
-- ((\inst15|inst5|inst1|inst1|inst5~1_combout\)))

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1010101011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \inst15|inst5|inst|inst1|inst5~1_combout\,
	datac => \inst15|inst5|inst1|inst1|inst5~1_combout\,
	datad => \inst15|inst4|inst1|inst1|inst5~1clkctrl_outclk\,
	combout => \inst15|inst5|inst1|inst1|inst5~1_combout\);

ww_led(7) <= \led[7]~output_o\;

ww_led(6) <= \led[6]~output_o\;

ww_led(5) <= \led[5]~output_o\;

ww_led(4) <= \led[4]~output_o\;

ww_led(3) <= \led[3]~output_o\;

ww_led(2) <= \led[2]~output_o\;

ww_led(1) <= \led[1]~output_o\;

ww_led(0) <= \led[0]~output_o\;
END structure;


